1 Reply Latest reply on Mar 31, 2012 3:11 AM by Claus Ibsen

    Install Fuse Fabric in a vanilla container error occur

    q z Newbie

      Hello.

      when i install Fuse Fabric in 4.4.1-fuse-03-06,error occur

      I didn't do other operations,just downloaded the 4.4.1-fuse-03-06,

      tar zxvf apache-servicemix-4.4.1-fuse-03-06.tar.gz -C .

      cd apache-servicemix-4.4.1-fuse-03-06

      modify "etc/org.ops4j.pax.url.mvn.cfg" file add the following entries to the "org.ops4j.pax.url.mvn.repositories" key:

      http://repo.fusesource.com/nexus/content/repositories/snapshots@snapshots, \

      http://repo.fusesource.com/nexus/content/groups/public

      ./bin/servicemix

       

      And then,As shown below

       

      ____                  _          __  __ _

      / ___|  ___ _ ____   () ___ ___|  \/  (_)_  __

      \___ \ / _ \ '__\ \ / / |/ __/ _ \ |\/| | \ \/ /

      ___) |  __/ |   \ V /| | (_|  __/ |  | | |>  <

      |____/ \___|_|    \_/ |_|\___\___|_|  |_|_/_/\_\

       

       

      Apache ServiceMix (4.4.1-fuse-03-06)

       

      Hit '<tab>' for a list of available commands

      and '[cmd|http://fusesource.com/forums/] --help' for help on a specific command.

       

      karaf@root> shell:source mvn:org.fusesource.fabric/fuse-fabric/1.1/karaf/installer

      Adding scala-tools repo

      Add fabric features

      Install fabric commands

      Bundle ID: 219

      Bundle ID: 217

      Bundle ID: 216

      Bundle ID: 220

      Error executing command: Unresolved constraint in bundle org.fusesource.fabric.fabric-core \[221\]: Unable to resolve 221.0: missing requirement \[221.0\] package; (&(package=org.fusesource.insight.log.service)(version>=1.1.0)(!(version>=2.0.0)))

      karaf@root>

       

      Error executing command: Unresolved constraint in bundle org.fusesource.fabric.fabric-core \[221\]: Unable to resolve 221.0: missing requirement \[221.0\] package; (&(package=org.fusesource.insight.log.service)(version>=1.1.0)(!(version>=2.0.0))) ?

       

      Log as follows:

      17:31:50,977 | INFO  | l Console Thread | SourceAction                     | 36 - org.apache.karaf.shell.console - 2.2.2.fuse-04-06 | Printing URL: mvn:org.fusesource.fabric/fuse-fabric/1.1/karaf/installer

      17:31:50,996 | INFO  | l Console Thread | SourceAction                     | 36 - org.apache.karaf.shell.console - 2.2.2.fuse-04-06 | Printing URL: mvn:org.fusesource.fabric/fuse-fabric/1.1/karaf/wait-for-service

      17:31:51,006 | INFO  | l Console Thread | SourceAction                     | 36 - org.apache.karaf.shell.console - 2.2.2.fuse-04-06 | Printing URL: mvn:org.fusesource.fabric/fuse-fabric/1.1/karaf/add-scala-tools-repo

      17:31:51,056 | INFO  | l Console Thread | SleepAction                      | 36 - org.apache.karaf.shell.console - 2.2.2.fuse-04-06 | Sleeping for 1000

      17:31:52,059 | INFO  | l Console Thread | SleepAction                      | 36 - org.apache.karaf.shell.console - 2.2.2.fuse-04-06 | Awake now

      17:31:52,194 | INFO  | l Console Thread | FeaturesServiceImpl              | 41 - org.apache.karaf.features.core - 2.2.2.fuse-04-06 | Installing feature fabric-zookeeper 1.1

      17:31:52,328 | INFO  | l Console Thread | FeaturesServiceImpl              | 41 - org.apache.karaf.features.core - 2.2.2.fuse-04-06 | Installing bundle mvn:org.fusesource.fabric/fabric-zookeeper/1.1

      17:31:52,339 | INFO  | l Console Thread | FeaturesServiceImpl              | 41 - org.apache.karaf.features.core - 2.2.2.fuse-04-06 | Installing bundle mvn:org.fusesource.fabric/fabric-linkedin-zookeeper/1.1

      17:31:52,362 | INFO  | l Console Thread | FeaturesServiceImpl              | 41 - org.apache.karaf.features.core - 2.2.2.fuse-04-06 | Installing bundle mvn:org.codehaus.jackson/jackson-mapper-asl/1.9.2

      17:31:52,379 | INFO  | l Console Thread | FeaturesServiceImpl              | 41 - org.apache.karaf.features.core - 2.2.2.fuse-04-06 | Installing bundle mvn:org.codehaus.jackson/jackson-core-asl/1.9.2

      17:31:52,382 | INFO  | l Console Thread | FeaturesServiceImpl              | 41 - org.apache.karaf.features.core - 2.2.2.fuse-04-06 | Bundles to refresh:

      17:31:52,432 | INFO  | rint Extender: 3 | ZKClientFactoryBean              | 214 - org.fusesource.fabric.fabric-zookeeper - 1.1.0 | No ZooKeeper URL provided. No connection attempted.

      17:32:02,416 | INFO  | l Console Thread | FeaturesServiceImpl              | 41 - org.apache.karaf.features.core - 2.2.2.fuse-04-06 | Installing feature fabric-maven-proxy 1.1

      17:32:02,532 | INFO  | l Console Thread | FeaturesServiceImpl              | 41 - org.apache.karaf.features.core - 2.2.2.fuse-04-06 | Installing bundle mvn:org.fusesource.fabric/fabric-maven-proxy/1.1

      17:32:02,557 | INFO  | l Console Thread | FeaturesServiceImpl              | 41 - org.apache.karaf.features.core - 2.2.2.fuse-04-06 | Bundles to refresh:

      17:32:02,709 | INFO  | rint Extender: 2 | MavenProxyImpl                   |  -  -  | Maven proxy started at address : http://localhost.localdomain:8040/ with configured repositories : local:file:///home/zq/.m2/repository local (file:///home/zq/.m2/repository, releasessnapshots) repo-0 (http://repo1.maven.org/maven2, releasessnapshots) repo-1 (http://repo.fusesource.com/nexus/content/groups/public, releases+snapshots)

      17:32:02,848 | INFO  | l Console Thread | Console                          | 36 - org.apache.karaf.shell.console - 2.2.2.fuse-04-06 | Exception caught while executing command

      org.osgi.framework.BundleException: Unresolved constraint in bundle org.fusesource.fabric.fabric-core \[221\]: Unable to resolve 221.0: missing requirement \[221.0\] package; (&(package=org.fusesource.insight.log.service)(version>=1.1.0)(!(version>=2.0.0)))

              at org.apache.felix.framework.Felix.resolveBundle(Felix.java:3466)\[org.apache.felix.framework-3.0.9-fuse-05-06.jar:\]

              at org.apache.felix.framework.Felix.startBundle(Felix.java:1739)\[org.apache.felix.framework-3.0.9-fuse-05-06.jar:\]

              at org.apache.felix.framework.BundleImpl.start(BundleImpl.java:927)\[org.apache.felix.framework-3.0.9-fuse-05-06.jar:\]

              at org.apache.felix.framework.BundleImpl.start(BundleImpl.java:914)\[org.apache.felix.framework-3.0.9-fuse-05-06.jar:\]

              at org.apache.karaf.shell.osgi.InstallBundle.doExecute(InstallBundle.java:54)\[19:org.apache.karaf.shell.osgi:2.2.2.fuse-04-06\]

              at org.apache.karaf.shell.console.OsgiCommandSupport.execute(OsgiCommandSupport.java:38)\[36:org.apache.karaf.shell.console:2.2.2.fuse-04-06\]

              at org.apache.felix.gogo.commands.basic.AbstractCommand.execute(AbstractCommand.java:35)\[36:org.apache.karaf.shell.console:2.2.2.fuse-04-06\]

              at org.apache.felix.gogo.runtime.CommandProxy.execute(CommandProxy.java:78)\[36:org.apache.karaf.shell.console:2.2.2.fuse-04-06\]

              at org.apache.felix.gogo.runtime.Closure.executeCmd(Closure.java:474)\[36:org.apache.karaf.shell.console:2.2.2.fuse-04-06\]

              at org.apache.felix.gogo.runtime.Closure.executeStatement(Closure.java:400)\[36:org.apache.karaf.shell.console:2.2.2.fuse-04-06\]

              at org.apache.felix.gogo.runtime.Pipe.run(Pipe.java:108)\[36:org.apache.karaf.shell.console:2.2.2.fuse-04-06\]

              at org.apache.felix.gogo.runtime.Closure.execute(Closure.java:183)\[36:org.apache.karaf.shell.console:2.2.2.fuse-04-06\]

              at org.apache.felix.gogo.runtime.Closure.execute(Closure.java:120)\[36:org.apache.karaf.shell.console:2.2.2.fuse-04-06\]

              at org.apache.felix.gogo.runtime.CommandSessionImpl.execute(CommandSessionImpl.java:89)\[36:org.apache.karaf.shell.console:2.2.2.fuse-04-06\]

              at org.apache.karaf.shell.commands.SourceAction.doExecute(SourceAction.java:76)\[37:org.apache.karaf.shell.commands:2.2.2.fuse-04-06\]

              at org.apache.karaf.shell.console.AbstractAction.execute(AbstractAction.java:33)\[36:org.apache.karaf.shell.console:2.2.2.fuse-04-06\]

              at org.apache.felix.gogo.commands.basic.AbstractCommand.execute(AbstractCommand.java:35)\[36:org.apache.karaf.shell.console:2.2.2.fuse-04-06\]

              at org.apache.felix.gogo.runtime.CommandProxy.execute(CommandProxy.java:78)\[36:org.apache.karaf.shell.console:2.2.2.fuse-04-06\]

              at org.apache.felix.gogo.runtime.Closure.executeCmd(Closure.java:474)\[36:org.apache.karaf.shell.console:2.2.2.fuse-04-06\]

              at org.apache.felix.gogo.runtime.Closure.executeStatement(Closure.java:400)\[36:org.apache.karaf.shell.console:2.2.2.fuse-04-06\]

              at org.apache.felix.gogo.runtime.Pipe.run(Pipe.java:108)\[36:org.apache.karaf.shell.console:2.2.2.fuse-04-06\]

              at org.apache.felix.gogo.runtime.Closure.execute(Closure.java:183)\[36:org.apache.karaf.shell.console:2.2.2.fuse-04-06\]

              at org.apache.felix.gogo.runtime.Closure.execute(Closure.java:120)\[36:org.apache.karaf.shell.console:2.2.2.fuse-04-06\]

              at org.apache.felix.gogo.runtime.CommandSessionImpl.execute(CommandSessionImpl.java:89)\[36:org.apache.karaf.shell.console:2.2.2.fuse-04-06\]

              at org.apache.karaf.shell.console.jline.Console.run(Console.java:240)\[36:org.apache.karaf.shell.console:2.2.2.fuse-04-06\]

              at java.lang.Thread.run(Thread.java:662)\[:1.6.0_31\]

       

      Edited by: zq-zq on Mar 30, 2012 1:18 AM